summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-nntp/ubh
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-nntp/ubh')
-rw-r--r--net-nntp/ubh/Manifest1
-rw-r--r--net-nntp/ubh/metadata.xml8
-rw-r--r--net-nntp/ubh/ubh-2.5.ebuild25
3 files changed, 34 insertions, 0 deletions
diff --git a/net-nntp/ubh/Manifest b/net-nntp/ubh/Manifest
new file mode 100644
index 000000000000..715cc2208923
--- /dev/null
+++ b/net-nntp/ubh/Manifest
@@ -0,0 +1 @@
+DIST ubh-2.5.tar.gz 42235 RMD160 b5e7c81bacaae8d4044b93a4b6d37ded0d0630ac SHA1 ba2ee22efe9e45556e819aeb20dde52530f22cca SHA256 9ee39955999ab7e0d3e99b70868e4dc564c8af9d74cfc9ef84854f8a93a109b6
diff --git a/net-nntp/ubh/metadata.xml b/net-nntp/ubh/metadata.xml
new file mode 100644
index 000000000000..2264ee301e33
--- /dev/null
+++ b/net-nntp/ubh/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+ <longdescription></longdescription>
+</pkgmetadata>
diff --git a/net-nntp/ubh/ubh-2.5.ebuild b/net-nntp/ubh/ubh-2.5.ebuild
new file mode 100644
index 000000000000..b3fdbff73168
--- /dev/null
+++ b/net-nntp/ubh/ubh-2.5.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="The Usenet Binary Harvester"
+HOMEPAGE="http://ubh.sourceforge.net/"
+SRC_URI="http://ubh.sourceforge.net/download/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~ppc ~x86"
+DEPEND=">=virtual/perl-libnet-1.0607
+ >=dev-perl/News-Newsrc-1.07
+ >=dev-perl/IO-stringy-1.220
+ >=virtual/perl-MIME-Base64-2.12
+ >=dev-perl/MailTools-1.15
+ >=dev-perl/MIME-tools-5.411
+ >=dev-perl/string-crc32-1.2"
+
+src_install() {
+ dobin ubh || die "dobin failed"
+ dohtml doc/ubh.html || die "dohtml failed"
+ insinto /usr/share/${P}
+ doins examples/{newsrc,ubhrc} || die "doins failed"
+}